[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Problems configuring cfengine 2.1.17 on Solaris10

From: Mark Burgess
Subject: Re: Problems configuring cfengine 2.1.17 on Solaris10
Date: Sat, 24 Dec 2005 07:31:12 +0100

> The real pain is the that cfengine requires a non-system version of db
> (and libcrypto?) which need to be linked statically because `cfexecd
> -L' isn't useful, since cfexecd links them itself.  You either risk
> distributing binaries which won't load and break the client, or you're
> statically linked against an openssl library that may get a security
> alert.

I have no idea what this means. Cfengine certainly does not require a
"non-system" version of db or lib crypto. They do not need to be
statically linked. What kind of nonsense is this?

Apologies for this misinformation. 

Cfexecd -L has nothing to do with static linking, it is for working
around broken ldso.conf


reply via email to

[Prev in Thread] Current Thread [Next in Thread]